# -*- encoding: utf-8 -*-
require 'method_introspection/version/version.rb'

DESCRIPTION = 'This gem allows us to inspect the source code '\
              'for a method and the documentation.'

Gem::Specification.new { |s|
  s.name    = 'method_introspection'
  s.version = MethodIntrospection::VERSION

  s.authors = %w( Robert A. Heiler )
  s.date    = Time.now.strftime('%Y-%m-%d')
  s.email   = 'shevegen@gmail.com'
  s.files   = %w(
    README.md
    lib/method_introspection.rb
    lib/method_introspection/code_helpers.rb
    lib/method_introspection/source_location.rb
    lib/method_introspection/load_project.rb
    lib/method_introspection/module_methods.rb
    lib/method_introspection/version/version.rb
    test/test.rb
    test/test_code_helpers.rb
    test/test_helper.rb
    method_introspection.gemspec
  )
  s.homepage = 'http://shevegen.square7.ch/'
  s.require_paths = ['lib']
  s.summary     = DESCRIPTION
  s.description = DESCRIPTION
  s.license     = 'MIT'
  s.test_files  = [
    'test/test.rb',
    'test/test_code_helpers.rb',
    'test/test_helper.rb'
  ]

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

}